/****************************************************************************
ACTIONS.H : prototypes for actions.c
****************************************************************************/

void a_key(Widget, XtPointer, XEvent *);		/* Handle keypress events */
void a_resize(Widget, XtPointer, XEvent *);	/* Handle resize events */
void a_motion(Widget, XtPointer, XEvent *);	/* Handle motion events */

void a_quit(Widget, XtPointer, XtPointer);	/* end the program */
void a_psout(Widget, XtPointer, XtPointer);	/* make PostScript output */
void a_load(Widget, XtPointer, XtPointer);	/* load a new ship */
void a_clear(Widget, XtPointer, XtPointer);	/* clear edit area */
void a_dump(Widget, XtPointer, XtPointer);	/* save or type the ship */
void a_drawmode(Widget, XtPointer, XtPointer);	/* change draw mode */

void a_redrawarea(Widget, XEvent *, String *, Cardinal *);
void a_redrawdir(Widget, XEvent *, String *, Cardinal *);
void a_redrawsmall(Widget, XEvent *, String *, Cardinal *);
void a_buttondir(Widget, XEvent *, String *, Cardinal *);
void a_buttonp(Widget, XEvent *, String *, Cardinal *);
