/*****************************************************************************
VARS.H: Global variables used throughout editss
*****************************************************************************/

extern XtAppContext app_context;		/* X variables */
extern Widget toplevel, mainw;
extern Widget b_quit, b_draw, b_kill;
extern Widget b_split, b_write, b_default;
extern Widget area, small, b_print, b_shipname, b_shipaut;
extern Widget sn_source, sn_sink, l_sn;
extern Widget sa_source, sa_sink;
extern Widget shipview, shipbm, b_clear, sl_source;
extern Widget sl_sink, b_shiplib, l_sl;
extern Widget l_size, l_sizeok, b_box, b_psout, l_prob;
extern Widget b_mg, b_lg, b_rg, b_ll, b_rl, b_mr, b_en;

extern Pixmap pm_area, pm_small, pm_ships;			/* drawing areas */
extern Pixmap pm_kill, pm_split, pm_nose, pm_rear; /* pointer pixmaps */
extern Pixmap pm_eng, pm_mis;

extern Cursor cur_nose, cur_rear;		/* mouse pointer shapes */
extern Cursor cur_draw, cur_kill, cur_split;
extern Cursor cur_eng, cur_mis;

extern int	bb_bor, va_bor;				/* border widths */
extern Pixel	bb_b, bb_f, nl_b, nl_f;	/* widget colors */
extern Pixel	st_b, st_f, bh_b, bh_f, bt_b, bt_f, ba_b, ba_f;
extern Pixel   pmc, plc, prc;
extern XColor	col_black, col_white;	/* default 2-color values */

extern int	scr_num, scr_depth;			/* number and depth of screen */
extern char 	bb_fs[30], bb_bs[30];	/* names of widget colors */
extern char		nl_fs[30], nl_bs[30], st_fs[30], st_bs[30];
extern char		bh_fs[30], bh_bs[30], ba_fs[30], ba_bs[30];
extern char		bt_fs[30], bt_bs[30];
extern char    mc[30], lc[30], rc[30];
extern int	f_w, f_h;						/* width & height of font */

extern int	isdefault, colorok;			/* default file / colors exist? */

extern Dimension	pm_area_w, pm_area_h, pm_small_w, pm_small_h;
extern GC	gc_draw, gc_clear, gc_grid, gc_xor, gc_ship, gc_main, gc_left, gc_right;
extern XFontStruct *font_small;			/* smaller font */
extern XFontStruct *font;

extern char fontname[MAXLINELEN], shipname[MAXLINELEN], shipaut[MAXLINELEN];
extern char shiplib[MAXLINELEN];			/* names of stuff */

extern int	xo, yo, nrships;						/* nr of ships in lib */
extern int	drawmode, dragpoint, dragmode;	/* current drawmodes */
extern int	rcformat;					/* is format in .xpilotrd format? */
extern char 	dr_val[];				/* value array for radiobuttons */
			
extern Time tl;							/* timer for double-click */
extern ship sh_ed;						/* current ship to be edited */

extern int callfrom;						/* called from xxpms? */
extern shiplist *sl;						/* the list of ships */
