/****************************************************************************
XSTUFF.H: prototypes for functions in xstuff.c
****************************************************************************/

void circle(point, GC *);			/* draw shapes in the drawing area */
void cross(point, GC *);
void square(point, GC *);
void arrow(point, GC *);
void rmvline(int, GC *);			/* remove line from drawing area */

void showvalues(void);				/* show ship parameters and status */
void redrawship(void);				/* redraw edit area */
void drawsmall(void);					/* redraw example area */
void cleararea(void);					/* clear any area */

void x_label(Widget, char *);		/* change label of a widget */
void x_initcolors(void);				/* make / allocate colors */
void x_initgc(void);					/* make graphic modes */
void x_initsmallfont(void);			/* load a smaller font */
void x_init(int, char **);			/* start x-stuff */
void x_doevents(void);				/* handle event buffer */
