/***************************************************************************
PSHIP.H: prototypes for the pship.c part (adapted from XPilot math.c)
***************************************************************************/

extern void Free_ship_shape(ship *w);			/* free memory of a shipshape */
extern ship *Parse_shape_str(char *str);		/* build ship from a definition */
extern ship *Convert_shape_str(char *str);	/* convert string def to ship */
extern int Validate_shape_str(char *str);		/* check a shapestring */
extern void Convert_ship_2_string(ship *w, char *buf, unsigned shape_version);
															/* string to ship conversion */
extern void cleanship(ship *w);					/* reset a ship shape */
extern void cpyship(ship *wt, ship *ws);		/* copy a ship shape */
extern char *validateship(ship *w);				/* check ship for errors */
