/*****************************************************************************
TYPES.H: Global variables and typedefs used throughout editss
*****************************************************************************/

#define bool int			/* sometimes used */

typedef struct {			/* struct for reading .rc files */
	char *parse;			/* should be %[>]s,i,f,b,S*/
	char *key;				/* keyword to check for */
	void *varad;			/* adress of variable */
	char *def;				/* default value in string */
} fileinfo;

typedef struct {			/* one point of a ship */
	int x, y;
} point;

typedef struct {			/* a shipshape */
	int n;											/* nrpoints */
	point p[MAXPOINTS];							/* the points */
	point mg, en;									/* the specials */
	point lg[MAXGUNS], rg[MAXGUNS];
	point ll[MAXLIGHTS], rl[MAXLIGHTS];
	point mr[MAXRACK];
	int nlg, nrg, nll, nrl, nmr;
	int version;									/* shipshape version nr. */
	char name[MAXNAME], author[MAXAUTHOR];	/* name and author */
} ship;

typedef struct _shiplist shiplist;		/* dummy def */

struct _shiplist {							/* a list of ships */
	ship *s;										/* pointer to the ship */
	shiplist *n;								/* pointer to next listentry */
};

